# Uses of Interface
net.shibboleth.shared.resource.Resource

Packages that use Resource
Package
Description
net.shibboleth.shared.logic
Classes that represent basic first order logic concepts.
net.shibboleth.shared.resource
The package defines only the ShibbolethResource interface.
net.shibboleth.shared.scripting
Classes for working with JSR-223 scripting environments.
net.shibboleth.shared.security.impl
Implementations of security interfaces.
net.shibboleth.shared.service
Shared service APIs.
net.shibboleth.shared.service.impl
Implementations of shared service interfaces.
net.shibboleth.shared.spring.config
Classes supporting Spring configuration activities.
net.shibboleth.shared.spring.httpclient.resource
Spring resource classes supporting HttpClient access.
net.shibboleth.shared.spring.resource
Shibboleth integration with Spring `Resource`.Helper functions, concrete implementations and a bridging class.
net.shibboleth.shared.testing
Classes supporting testing of other classes.
net.shibboleth.shared.xml
APIs for parsing and using XML.

## Uses of Resource in net.shibboleth.shared.logic

Methods in net.shibboleth.shared.logic with parameters of type Resource
Modifier and Type
Method
Description
`static <T, U> ScriptedBiConsumer<T,U>`
ScriptedBiConsumer.`resourceScript(String engineName, Resource resource)`
Factory to create `ScriptedBiConsumer` from a `Resource`.
`static <T, U> ScriptedBiConsumer<T,U>`
ScriptedBiConsumer.`resourceScript(Resource resource)`
Factory to create `ScriptedBiConsumer` from a `Resource`.
`static <T, U, V> ScriptedBiFunction<T,U,V>`
ScriptedBiFunction.`resourceScript(String engineName, Resource resource)`
Factory to create `ScriptedBiFunction` from a `Resource`.
`static <T, U, V> ScriptedBiFunction<T,U,V>`
ScriptedBiFunction.`resourceScript(Resource resource)`
Factory to create `ScriptedBiFunction` from a `Resource`.
`static <T, U> ScriptedBiPredicate<T,U>`
ScriptedBiPredicate.`resourceScript(String engineName, Resource resource)`
Factory to create `ScriptedBiPredicate` from a `Resource`.
`static <T, U> ScriptedBiPredicate<T,U>`
ScriptedBiPredicate.`resourceScript(Resource resource)`
Factory to create `ScriptedBiPredicate` from a `Resource`.
`static <T> ScriptedConsumer<T>`
ScriptedConsumer.`resourceScript(String engineName, Resource resource)`
Factory to create `ScriptedConsumer` from a `Resource`.
`static <T> ScriptedConsumer<T>`
ScriptedConsumer.`resourceScript(Resource resource)`
Factory to create `ScriptedConsumer` from a `Resource`.
`static <T, U> ScriptedFunction<T,U>`
ScriptedFunction.`resourceScript(String engineName, Resource resource)`
Factory to create `ScriptedFunction` from a `Resource`.
`static <T, U> ScriptedFunction<T,U>`
ScriptedFunction.`resourceScript(Resource resource)`
Factory to create `ScriptedFunction` from a `Resource`.
`static <T> ScriptedPredicate<T>`
ScriptedPredicate.`resourceScript(String engineName, Resource resource)`
Factory to create `ScriptedPredicate` from a `Resource`.
`static <T> ScriptedPredicate<T>`
ScriptedPredicate.`resourceScript(Resource resource)`
Factory to create `ScriptedPredicate` from a `Resource`.

## Uses of Resource in net.shibboleth.shared.resource

Methods in net.shibboleth.shared.resource that return Resource
Modifier and Type
Method
Description
`Resource`
Resource.`createRelativeResource(String relativePath)`
Create a resource relative to this resource.

## Uses of Resource in net.shibboleth.shared.scripting

Methods in net.shibboleth.shared.scripting with parameters of type Resource
Modifier and Type
Method
Description
`void`
EvaluableScript.`setScript(Resource scriptSource)`
Sets the script source.

## Uses of Resource in net.shibboleth.shared.security.impl

Fields in net.shibboleth.shared.security.impl declared as Resource
Modifier and Type
Field
Description
`private Resource`
BasicKeystoreKeyStrategy.`keystoreResource`
Keystore resource.
`private Resource`
BasicKeystoreKeyStrategy.`keyVersionResource`
Version resource.
Methods in net.shibboleth.shared.security.impl with parameters of type Resource
Modifier and Type
Method
Description
`void`
BasicKeystoreKeyStrategy.`setKeystoreResource(Resource resource)`
Set the keystore resource.
`void`
BasicKeystoreKeyStrategy.`setKeyVersionResource(Resource resource)`
Set the key version resource.

## Uses of Resource in net.shibboleth.shared.service

Methods in net.shibboleth.shared.service with parameters of type Resource
Modifier and Type
Method
Description
`void`
LoggingService.`setLoggingConfiguration(Resource configuration)`
Sets the logging configuration.

## Uses of Resource in net.shibboleth.shared.service.impl

Fields in net.shibboleth.shared.service.impl declared as Resource
Modifier and Type
Field
Description
`private Resource`
LogbackLoggingService.`configurationResource`
Logging configuration resource.
`private Resource`
LogbackLoggingService.`fallbackConfiguration`
URL to the fallback logback configuration found in the classpath.
Methods in net.shibboleth.shared.service.impl with parameters of type Resource
Modifier and Type
Method
Description
`void`
LogbackLoggingService.`setFallbackConfiguration(Resource fallback)`
Set a resource to use as a fallback configuration if the primary is unavailable.
`void`
LogbackLoggingService.`setLoggingConfiguration(Resource configuration)`
Sets the logging configuration.

## Uses of Resource in net.shibboleth.shared.spring.config

Methods in net.shibboleth.shared.spring.config that return Resource
Modifier and Type
Method
Description
`Resource`
StringToResourceConverter.`convert(String source)`

## Uses of Resource in net.shibboleth.shared.spring.httpclient.resource

Classes in net.shibboleth.shared.spring.httpclient.resource that implement Resource
Modifier and Type
Class
Description
`class`
`FileBackedHTTPResource`
A resource representing a file read from an HTTP(S) location.
`class`
`HTTPResource`
Resource for looking up HTTP URLs.
Methods in net.shibboleth.shared.spring.httpclient.resource that return Resource
Modifier and Type
Method
Description
`Resource`
HTTPResource.`createRelativeResource(String relativePath)`
Create a resource relative to this resource.

## Uses of Resource in net.shibboleth.shared.spring.resource

Classes in net.shibboleth.shared.spring.resource that implement Resource
Modifier and Type
Class
Description
`class`
`ConditionalResource`
A wrapper that guards a `Resource` that may be absent by returning an empty bean file instead.
`final class`
`ResourceHelper`
Bridging class between `Resource` and `Resource`.
`class`
`RunnableFileSystemResource`
A file backed resource which calls out to a provided `Runnable` as appropriate such that the resource becomes reloadable.
Methods in net.shibboleth.shared.spring.resource that return Resource
Modifier and Type
Method
Description
`Resource`
ConditionalResource.`createRelativeResource(String relativePath)`
Create a resource relative to this resource.
`Resource`
ResourceHelper.`createRelativeResource(String relativePath)`
Create a resource relative to this resource.
`static Resource`
ResourceHelper.`of(Resource springResource)`
Return a `Resource` that does all the work of the provided `Resource`.

## Uses of Resource in net.shibboleth.shared.testing

Fields in net.shibboleth.shared.testing declared as Resource
Modifier and Type
Field
Description
`(package private) final Resource`
EmbeddedJetty.ResourceHandler.`resource`
Methods in net.shibboleth.shared.testing that return Resource
Modifier and Type
Method
Description
`static Resource`
EmbeddedJetty.`getServerCertficateResource()`
Returns the TLS certificate used by the server as a resource in PEM format
Constructors in net.shibboleth.shared.testing with parameters of type Resource
Modifier
Constructor
Description
``
`ResourceHandler(int s, Resource r)`
Constructor.

## Uses of Resource in net.shibboleth.shared.xml

Methods in net.shibboleth.shared.xml with parameters of type Resource
Modifier and Type
Method
Description
`SchemaBuilder`
SchemaBuilder.`addSchema(Resource resource)`
Add schemas from the given schema resource.
Method parameters in net.shibboleth.shared.xml with type arguments of type Resource
Modifier and Type
Method
Description
`void`
SchemaBuilder.`setSchemaResources(Collection<Resource> schemaResources)`
Set the schemas to load from the given schema resources (replaces any previously added).